// COLORS

$color-brand: #EE7023;
$color-accent: #FDBE13;

$color-body-dark: #FBF2EA;
$color-body-light: #FFFFFF;

$color-turqoise-01: #BCD8DB;
$color-turqoise-02: #257886;

$color-text-01: #512B2B;
$color-text-02: #F35B1C;
$color-text-03: #FFFFFF;

$color-support-info-01: #4572C0;
$color-support-info-02: #95AFDD;
$color-support-info-03: #E8EFF9;

$color-support-warning-01: #F9CE22;
$color-support-warning-02: #FFF3D5;

$color-support-error-01: #C5131C;
$color-support-error-02: #E2898D;
$color-support-error-03: #F9DED3;


$color-button-active: #F35B1C;
$color-button-disabled: #F0B690;

// GENERAL VARIABLES

$border-radius: 3px;

$font-size-h2: 36px;
$font-size-h2-sm: 26px;
$font-size-h3: 20px;

$font-size-body: 15px;
$font-size-body-lg: 18px;

$container-padding-standard: 30px;

$transition-easing: ease-in-out;
$transition-duration: 300ms;

// MODAL

.app__modal {
    display: none;
}

// HELPER CLASSES

.is-hidden {
    display: none;
    opacity: 0;
    pointer-events: none;
}

//FONT CLASSES

.h2,
.h2-small,
.h3 {
    margin-block-end: 0 !important;
    margin-block-start: 0 !important;
}

.h2 {
    font-size: $font-size-h2;
}

.h2-small {
    font-size: $font-size-h2-sm;
}

.h3 {
    font-size: $font-size-h3;
}

.text-accent {
    color: $color-brand;
}

.text-accent-02 {
    color: $color-turqoise-02;
}

.text-error {
    color: $color-support-error-01;
}

// BUTTON

.button {
    background-color: $color-brand;
    color: $color-text-03;
    font-weight: 500;
    font-size: $font-size-body-lg;
    min-width: 80px;
    padding: 10px 30px;
    border-radius: $border-radius;
    outline: none;
    border: none;
    cursor: pointer;
    transition: background-color $transition-duration $transition-easing;


    &:focus,
    &:active {
        outline: none;
    }

    &:hover,
    &:active {
        background-color: $color-button-active;
    }

    &:disabled {
        background-color: $color-button-disabled;
        cursor: not-allowed;
    }
}

.button--align-right {
    margin-left: auto;
}

//TEXTFIELD, TEXTAREA

.textfield {
    width: 100%;
}

.textfield__input {
    display: block;
    width: 100%;
    padding: 13px 10px;
    border: 1px solid $color-turqoise-01;
    border-radius: $border-radius;
    
    &:focus {
        outline: 1px solid $color-turqoise-01 !important;
    }

    .textfield.is-invalid &{
        border: 1px solid $color-support-error-02;
    }
}

.textfield__label {
    display: block;
    margin-bottom: 4px;

    .textfield.is-invalid & {
        color: $color-support-error-01;
    }
}

textarea {
    height: 120px;
    resize: none;
    border: 1px solid $color-turqoise-01;
    border-radius: $border-radius;

    &:focus {
        outline: 1px solid $color-turqoise-01 !important;
    }
}

// RADIO 

.radio {
    position: relative;
}

.radio__input {
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0;
}

.radio__indicator {
    display: block;
    width: 15px;
    height: 15px;
    position: absolute;
    top: 1px;
    left: 0;
    border-radius: 99px;
    border: 1px solid $color-turqoise-01;
    transition: border 100ms $transition-easing;

    &:hover {
        border: 1px solid $color-brand;
    }

    .radio__input:checked + .radio__label & {
        background-color: $color-brand;
        border: 1px solid $color-brand;
    }

    &:before {
        content: '';
        display: block;
        position: absolute;
        background-color: $color-body-light;
        top: 3px;
        left: 3px;
        width: 7px;
        height: 7px;
        border-radius: 99px;
        opacity: 0;

        .radio__input:checked + .radio__label & {
            opacity: 1;
        }
    }
}

.radio__label {
    display: inline-block;
    padding-left: 25px;
    
    .radio.is-invalid & {
        color: $color-support-error-01;    
    }
}

// CHECKBOX


.check {
    position: relative;
}

.check__input {
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0;
}

.check__indicator {
    display: block;
    width: 15px;
    height: 15px;
    position: absolute;
    top: 1px;
    left: 0;
    border-radius: 3px;
    border: 1px solid $color-turqoise-01;
    transition: border 100ms $transition-easing;

    &:hover {
        border: 1px solid $color-brand;
    }

    .check__input:checked + .check__label & {
        background-color: $color-brand;
        border: 1px solid $color-brand;
    }

    &:before {
        content: '';
        display: block;
        position: absolute;
        background-color: $color-body-light;
        top: 3px;
        left: 3px;
        width: 7px;
        height: 7px;
        border-radius: 1px;
        opacity: 0;

        .check__input:checked + .check__label & {
            opacity: 1;
        }
    }
}

.check__label {
    display: inline-block;
    padding-left: 25px;

    .check.is-invalid & {
        color: $color-support-error-01;    
    }
}

// SELECT

select {
    width: 550px;
    padding: 5px 35px 5px 5px;
    border: 1px solid $color-turqoise-01;
    background-color: $color-body-light;
    height: 34px;
}

// TOOLTIP

.textfield__tooltip {
    position: absolute;
    background-color: $color-support-info-03;
    box-shadow: 3px 3px 3px rgba($color-support-info-01, .3);
    padding: 10px;
}

// GENERAL

* {
    box-sizing: border-box;
}

html {
    height: 100%;
}

body {
    font-family: Helvetica, Arial, sans-serif;
    color: $color-text-01;
    width: 100%;
    height: 100%;
    background-color: $color-body-dark;
    font-size: $font-size-body;
    margin: 0;
}

.app {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    position: relative;
    padding: 0 20px;
    
    &:after {
        content: '';
        width: 100%;
        position: absolute;
        top: 0px;
        left: 0px;
        height: 7px;
        background: linear-gradient(90deg, $color-brand -25.78%, $color-accent 50.25%);
    }
}

.app__section {
    width: 100%;
    border-radius: $border-radius;
    margin: 30px 0;
    background-color: $color-body-light;
    padding: $container-padding-standard;
}

section {
    display: flex;
    flex-direction: column;
}

.app__logo {
    width: 180px;
    height: 100%;
    margin-bottom: 10px;
}

.app__inner {
    width: 100%;
    max-width: 900px;
    border-radius: $border-radius;
    margin-top: 100px;
}

.app__header-inner {
    background-color: $color-body-light;
    padding: $container-padding-standard;
    width: 100%;
}

.app__form-field {
    & + & {
        margin-top: 20px;
    }
}

.app__form-question-title + * {
    margin-top: 20px;
}

.app__form-buttons {
    display: flex;
    flex-direction: row-reverse;
    justify-content: space-between;
    align-items: center;
    margin-top: 30px;
    width: 100%;
}

.app__form-radio,
.app__form-check {
    & + & {
        margin-top: 20px;
    }
}

.app__form-conclusion p {
    margin-top: 20px;
    margin-bottom: 0;
}

ul {
    list-style: disc;
}

li {
    & + & {
        margin-top: 8px;
    }
}

a {
    display: block;
    font-weight: 600;
    color: $color-turqoise-02;
}